events.listen("recipes", function (event) {

////////////////////=====================================/////////////////////

  // Expanded Storage
event.remove({output: "expandedstorage:netherite_chest" });
event.recipes.minecraft.smithing({
  base: item.of('expandedstorage:obsidian_chest').toJson(),
  addition: item.of('minecraft:netherite_ingot').toJson(),
  result: item.of('expandedstorage:netherite_chest').toResultJson()
})

event.recipes.minecraft.smithing({
  base: item.of('expandedstorage:old_obsidian_chest').toJson(),
  addition: item.of('minecraft:netherite_ingot').toJson(),
  result: item.of('expandedstorage:old_netherite_chest').toResultJson()
})

event.remove({output: "expandedstorage:wood_to_netherite_conversion_kit" });
event.recipes.minecraft.smithing({
  base: item.of('expandedstorage:wood_to_obsidian_conversion_kit').toJson(),
  addition: item.of('minecraft:netherite_ingot').toJson(),
  result: item.of('expandedstorage:wood_to_netherite_conversion_kit').toResultJson()
})

event.remove({output: "obsidian_to_netherite_conversion_kit" });
event.recipes.minecraft.smithing({
  base: item.of('expandedstorage:wood_to_obsidian_conversion_kit').toJson(),
  addition: item.of('minecraft:netherite_ingot').toJson(),
  result: item.of('obsidian_to_netherite_conversion_kit').toResultJson()
})

event.recipes.minecraft.smithing({
  base: item.of('minecraft:obsidian').toJson(),
  addition: item.of('minecraft:netherite_ingot').toJson(),
  result: item.of('diamond_to_netherite_conversion_kit').toResultJson()
})

event.remove({output: "expandedstorage:diamond_to_netherite_conversion_kit" });
event.recipes.minecraft.smithing({
  base: item.of('expandedstorage:diamond_to_obsidian_conversion_kit').toJson(),
  addition: item.of('minecraft:netherite_ingot').toJson(),
  result: item.of('expandedstorage:diamond_to_netherite_conversion_kit').toResultJson()
})

event.remove({output: "expandedstorage:gold_to_netherite_conversion_kit" });
event.recipes.minecraft.smithing({
  base: item.of('expandedstorage:gold_to_obsidian_conversion_kit').toJson(),
  addition: item.of('minecraft:netherite_ingot').toJson(),
  result: item.of('expandedstorage:gold_to_netherite_conversion_kit').toResultJson()
})

event.remove({output: "expandedstorage:iron_to_netherite_conversion_kit" });
event.recipes.minecraft.smithing({
  base: item.of('expandedstorage:iron_to_obsidian_conversion_kit').toJson(),
  addition: item.of('minecraft:netherite_ingot').toJson(),
  result: item.of('expandedstorage:iron_to_netherite_conversion_kit').toResultJson()
})

////////////////////=====================================/////////////////////

  // Chain Armor
  event.shaped(item.of("minecraft:chainmail_helmet"), [
    ["minecraft:chain", "minecraft:chain", "minecraft:chain"],
    ["minecraft:chain", null, "minecraft:chain"],
    [null, null, null],
  ]);

  event.shaped(item.of("minecraft:chainmail_chestplate"), [
    ["minecraft:chain", null, "minecraft:chain"],
    ["minecraft:chain", "minecraft:chain", "minecraft:chain"],
    ["minecraft:chain", "minecraft:chain", "minecraft:chain"],
  ]);

  event.shaped(item.of("minecraft:chainmail_leggings"), [
    ["minecraft:chain", "minecraft:chain", "minecraft:chain"],
    ["minecraft:chain", null, "minecraft:chain"],
    ["minecraft:chain", null, "minecraft:chain"],
  ]);

  event.shaped(item.of("minecraft:chainmail_boots"), [
    [null, null, null],
    ["minecraft:chain", null, "minecraft:chain"],
    ["minecraft:chain", null, "minecraft:chain"],
  ]);

////////////////////=====================================/////////////////////

  // Meadow Dirt to Coarse Dirt
  event.shaped(item.of("minecraft:coarse_dirt", 4), [
    ["byg:meadow_dirt", "minecraft:gravel", null],
    ["minecraft:gravel", "byg:meadow_dirt", null],
    [null, null, null],
  ]);

////////////////////=====================================/////////////////////

  // Clayblock back to 4x Clay
  event.shapeless(item.of('minecraft:clay_ball', 4), ['minecraft:clay']);

////////////////////=====================================/////////////////////

  // 3x Gravel to 1x Flint
  event.shapeless(item.of('minecraft:flint'), ['minecraft:gravel', 'minecraft:gravel', 'minecraft:gravel']);

////////////////////=====================================/////////////////////

  // Beach Grass to Sticks recipe
  event.shapeless(item.of('minecraft:stick'), ['byg:beach_grass', 'byg:beach_grass']);

////////////////////=====================================/////////////////////

  // Short Beach Grass to Sticks recipe
  event.shapeless(item.of('minecraft:stick'), ['byg:short_beach_grass', 'byg:short_beach_grass']);

////////////////////=====================================/////////////////////

  // Cattail to Sticks recipe
  event.shapeless(item.of('minecraft:stick'), ['byg:cattail', 'byg:cattail']);

////////////////////=====================================/////////////////////

  // Leaf Pile to Sticks recipe
  event.shapeless(item.of('minecraft:stick'), ['byg:leaf_pile', 'byg:leaf_pile']);

////////////////////=====================================/////////////////////

  // Meadow Dirt to Dirt
  event.shapeless(item.of('minecraft:dirt'), ['byg:meadow_dirt']);

////////////////////=====================================/////////////////////

  // White Cherry Foliage to Sticks recipe
  event.shapeless(item.of('minecraft:stick'), ['byg:white_cherry_foliage', 'byg:white_cherry_foliage']);

////////////////////=====================================/////////////////////

  // Pink Foliage to Sticks recipe
  event.shapeless(item.of('minecraft:stick'), ['byg:pink_cherry_foliage', 'byg:pink_cherry_foliage']);

////////////////////=====================================/////////////////////

  // Angel Ring
event.remove({output: "angelring:itemring" });
  event.shaped(item.of("angelring:itemring"), [
    ["forbidden_arcanus:bat_wing", "forbidden_arcanus:arcane_gold_block", "forbidden_arcanus:bat_wing"],
    ["minecraft:gold_block", "angelring:itemdiamondring", "minecraft:gold_block"],
    ["forbidden_arcanus:golden_dragon_scale", "forbidden_arcanus:arcane_gold_block", "forbidden_arcanus:golden_dragon_scale"],
  ]);

////////////////////=====================================/////////////////////

  // Building Gadget
event.remove({output: "buildinggadgets:gadget_building" });
  event.shaped(item.of("buildinggadgets:gadget_building"), [
    ["minecraft:iron_ingot", "minecraft:redstone", "minecraft:iron_ingot"],
    ["minecraft:diamond", "rftoolscontrol:cpu_core_500", "minecraft:diamond"],
    ["minecraft:iron_ingot", "minecraft:lapis_lazuli", "minecraft:iron_ingot"],
  ]);

  // Copy-Paste Gadget
event.remove({output: "buildinggadgets:gadget_copy_paste" });
  event.shaped(item.of("buildinggadgets:gadget_copy_paste"), [
    ["minecraft:iron_ingot", "minecraft:redstone", "minecraft:iron_ingot"],
    ["minecraft:emerald", "rftoolscontrol:cpu_core_500", "minecraft:emerald"],
    ["minecraft:iron_ingot", "minecraft:lapis_lazuli", "minecraft:iron_ingot"],
  ]);

  // Destruction Gadget
event.remove({output: "buildinggadgets:gadget_destruction" });
  event.shaped(item.of("buildinggadgets:gadget_destruction"), [
    ["minecraft:iron_ingot", "minecraft:redstone", "minecraft:iron_ingot"],
    ["minecraft:ender_pearl", "rftoolscontrol:cpu_core_1000", "minecraft:ender_pearl"],
    ["minecraft:iron_ingot", "minecraft:lapis_lazuli", "minecraft:iron_ingot"],
  ]);

  // Exchanging Gadget
event.remove({output: "buildinggadgets:gadget_exchanging" });
  event.shaped(item.of("buildinggadgets:gadget_exchanging"), [
    ["minecraft:iron_ingot", "minecraft:redstone", "minecraft:iron_ingot"],
    ["minecraft:diamond", "minecraft:lapis_lazuli", "minecraft:diamond"],
    ["minecraft:iron_ingot", "rftoolscontrol:cpu_core_1000", "minecraft:iron_ingot"],
  ]);

  // Template Manager
event.remove({output: "buildinggadgets:template_manager" });
  event.shaped(item.of("buildinggadgets:template_manager"), [
    ["minecraft:gold_ingot", "minecraft:redstone", "minecraft:gold_ingot"],
    ["minecraft:emerald", "rftoolscontrol:cpu_core_2000", "minecraft:emerald"],
    ["minecraft:gold_ingot", "minecraft:lapis_lazuli", "minecraft:gold_ingot"],
  ]);

////////////////////=====================================/////////////////////

  // Entangled Block
event.remove({output: "entangled:block" });
  event.shaped(item.of("entangled:block"), [
    ["minecraft:ender_pearl", "minecraft:obsidian", "minecraft:ender_pearl"],
    ["minecraft:obsidian", "#forge:chests/wooden", "minecraft:obsidian"],
    ["minecraft:ender_pearl", "minecraft:obsidian", "minecraft:ender_pearl"],
  ]);

////////////////////=====================================/////////////////////

  // Obsidian Button
event.remove({output: "variant16x:obsidian_button" });
  event.shaped(item.of("variant16x:obsidian_button"), [
    ["minecraft:obsidian", null, null],
    ["minecraft:obsidian", null, null],
    [null, null, null],
  ]);

////////////////////=====================================/////////////////////

// Magnetism Ring
  event.shaped(item.of("ringsofascension:ring_magnetism"), [
    [null, "minecraft:iron_ingot", null],
    ["minecraft:iron_ingot", "minecraft:ender_pearl", "minecraft:iron_ingot"],
    ["#forge:dyes/red", "minecraft:iron_ingot", "#forge:dyes/blue"],
  ]);

////////////////////=====================================/////////////////////

  // Pied Wool
  event.shaped(item.of("rats:pied_wool"), [
    ["minecraft:white_wool", "#forge:dyes/green", null],
    ["#forge:dyes/yellow", "minecraft:white_wool", null],
    [null, null, null],
  ]);
  
////////////////////=====================================/////////////////////

  // Mining Dim - Block
  event.replaceInput(
    { id: "mining_dimension:teleporter" },
    "minecraft:stone_pickaxe",
    "minecraft:diamond_pickaxe"
    );

////////////////////=====================================/////////////////////

});